#ifndef _Limit_H__
#define _Limit_H__
#include "os/os_types.h"

#define HW_LIMIT_NONE ((u16)0xFFFF)
typedef struct {
	u16 limit_value;
	s16 enter_pointer;
	s16 exit_pointer;
	u32 ticks;
	bool is_limit;
}limter_t;

u16 torque_temp_high_limit(void);
u16 vbus_current_vol_lower_limit(void);

#endif /* _Limit_H__ */

